Subject: Re: [PATCH v5 net-next 2/5] devlink: Implement devlink param multi attribute nested data values

From: Jakub Kicinski <[email-masked]>
Date: Wed, 18 Mar 2026 19:57:48 -0700

On Tue, 17 Mar 2026 10:26:20 +0530 Ratheesh Kannoth wrote:
> Devlink param value attribute is not defined since devlink is handling
> the value validating and parsing internally, this allows us to implement
> multi attribute values without breaking any policies.
> 
> Devlink param multi-attribute values are considered to be dynamically
> sized arrays of u32 values, by introducing a new devlink param type
> DEVLINK_PARAM_TYPE_U32_ARRAY, driver and user space can set a variable
> count of u32 values into the DEVLINK_ATTR_PARAM_VALUE_DATA attribute.
> 
> Implement get/set parsing and add to the internal value structure passed
> to drivers.
> 
> This is useful for devices that need to configure a list of values for
> a specific configuration.

Jiri's suggesting to use uint seems quite sensible. That way we don't
have to add another type if anyone needs >32b in the future. Should
be a fairly straightforward conversion. All the real types in the
kernel s/u32/u64/ and the netlink helper and API s/u32/uint/